package com.ruoyi.dz.domain;

import com.ruoyi.common.core.domain.entity.SysDept;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 机构校区对象 dz_school
 *
 * @author ruoyi
 * @date 2025-09-12
 */
public class DzSchool extends BaseEntity
{
    private static final long serialVersionUID = 1L;
    /** $column.columnComment */
    private Long id;

    /** 名称 */
    @Excel(name = "名称")
    private String name;

    /** 机构ID */
    @Excel(name = "机构ID")
    private Long deptId;

    /** 机构ID */
    @Excel(name = "适用考生类型")
    private String examTypes;

    /** 用户ID */
    @Excel(name = "用户ID")
    private Long userId;

    /** 地域 */
    @Excel(name = "地域")
    private String location;

    /** 省 */
    @Excel(name = "省")
    private Long pro;

    /** 市 */
    @Excel(name = "市")
    private Long city;

    /** 区 */
    @Excel(name = "区")
    private Long area;

    String proCityAreaName ;

    String areaCode;

    /** 状态(0:无效,1:有效) */
    @Excel(name = "状态(0:无效,1:有效)")
    private Integer status;

    /** 班级选择 */
    @Excel(name = "班级选择")
    private Integer classSelect;

    private SysDept dept;

    private Boolean campus;

    public String getExamTypes() {
        return examTypes;
    }

    public void setExamTypes(String examTypes) {
        this.examTypes = examTypes;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getProCityAreaName() {
        return proCityAreaName;
    }

    public void setProCityAreaName(String proCityAreaName) {
        this.proCityAreaName = proCityAreaName;
    }

    public SysDept getDept() {
        return dept;
    }

    public void setDept(SysDept dept) {
        this.dept = dept;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }

    public void setName(String name)
    {
        this.name = name;
    }

    public String getName()
    {
        return name;
    }

    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }

    public void setLocation(String location)
    {
        this.location = location;
    }

    public String getLocation()
    {
        return location;
    }

    public void setPro(Long pro)
    {
        this.pro = pro;
    }

    public Long getPro()
    {
        return pro;
    }

    public void setCity(Long city)
    {
        this.city = city;
    }

    public Long getCity()
    {
        return city;
    }

    public void setArea(Long area)
    {
        this.area = area;
    }

    public Long getArea()
    {
        return area;
    }

    public void setStatus(Integer status)
    {
        this.status = status;
    }

    public Integer getStatus()
    {
        return status;
    }

    public Boolean getCampus() {
        return campus;
    }

    public void setCampus(Boolean campus) {
        this.campus = campus;
    }

    public String getAreaCode() {
        return areaCode;
    }

    public void setAreaCode(String areaCode) {
        this.areaCode = areaCode;
    }

    public Integer getClassSelect() {
        return classSelect;
    }

    public void setClassSelect(Integer classSelect) {
        this.classSelect = classSelect;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("name", getName())
            .append("deptId", getDeptId())
            .append("location", getLocation())
            .append("remark", getRemark())
            .append("pro", getPro())
            .append("city", getCity())
            .append("area", getArea())
            .append("status", getStatus())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
